Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg.custom
Interface CustomFieldManager

    public interface CustomFieldManager

Manage all custom fields of server

Since:
  version 9.1

Method Summary
`void` | `createField(java.lang.String name, java.lang.String desc, boolean enabled)` Create a field.
`void` | `deleteField(java.lang.String name)` Delete a field according to name.
`void` | `deleteFields(java.util.List names)` Delete fields according to names.
`java.util.Vector` | `getAllFields()` Return all custom fields.
`CustomField` | `getField(java.lang.String name)` Return a specific field.
`void` | `updateField(java.lang.String orgName, java.lang.String newName, java.lang.String desc, boolean enabled)` Update a field with some new properties.

Method Detail

### getAllFields

    java.util.Vector getAllFields()

  Return all custom fields.

  Returns:
    all custom fields. The Vector contains CustomField objects.
  See Also:
    `CustomField`

### getField

    CustomField getField(java.lang.String name)

  Return a specific field.

  Returns:
    a specific field according to name.
  See Also:
    `CustomField`

### createField

    void createField(java.lang.String name,
                     java.lang.String desc,
                     boolean enabled)
                     throws CustomFieldManageException

  Create a field.

  Parameters:
    `name` - the field name.
    `desc` - the field description.
    `enabled` - whether the field is enabled.
  Throws:
    `CustomFieldManageException` - if a CustomFieldManageException occurs.

### deleteField

    void deleteField(java.lang.String name)
                     throws CustomFieldManageException

  Delete a field according to name.

  Parameters:
    `name` - the field name.
  Throws:
    `CustomFieldManageException` - if a CustomFieldManageException occurs.

### deleteFields

    void deleteFields(java.util.List names)
                      throws CustomFieldManageException

  Delete fields according to names.

  Parameters:
    `names` - the field name list.
  Throws:
    `CustomFieldManageException` - if a CustomFieldManageException occurs.

### updateField

    void updateField(java.lang.String orgName,
                     java.lang.String newName,
                     java.lang.String desc,
                     boolean enabled)
                     throws CustomFieldManageException

  Update a field with some new properties.

  Parameters:
    `orgName` - the field original name.
    `newName` - the field new name.
    `desc` - the field new description.
    `enabled` - whether the field is enabled after our updating.
  Throws:
    `CustomFieldManageException` - if a CustomFieldManageException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD